package model

type Pay_order struct {
	ModelUUID
	UserId         uint   `gorm:"" json:"userId"`
	Iccid          string `gorm:"type:varchar(255)" json:"iccid"`          // 卡ID
	TariffId       string `gorm:"type:varchar(255)" json:"tariffId"`       // 资费ID
	ProductId      string `gorm:"type:varchar(255)" json:"productId"`      // 商品ID
	Source         string `gorm:"type:varchar(255)" json:"source"`         // 来源
	OrderId        string `gorm:"type:varchar(255)" json:"orderId"`        // 订单ID
	PayStatus      string `gorm:"type:varchar(255)" json:"payStatus"`      // 支付状态  WAIT-未支付 SUCCESS-已支付 FAIL-支付失败  EXPIRED-过期
	PayChannel     string `gorm:"type:varchar(255)" json:"payChannel"`     // 支付渠道  Stripe-Stripe
	FlowingWaterId string `gorm:"type:varchar(255)" json:"flowingWaterId"` // 流水ID
	OrderChannel   string `gorm:"type:varchar(255)" json:"orderChannel"`   // 订单渠道
	PayAmount      int64  `gorm:"type:varchar(255)" json:"payAmount"`      // 支付金额
	Currency       string `gorm:"type:varchar(255)" json:"currency"`       // 币种
	Remark         string `gorm:"type:varchar(255)" json:"remark"`         // 备注
}
