package grace

type Pagination struct {
	PageSize    int `json:"pageSize" validate:"required"`    // 每页返回的记录数
	CurrentPage int `json:"currentPage" validate:"required"` // 返回记录的当前页号
	ProductId   int `json:"productId"`                       // 产品ID
}

func NewPagination() Pagination {
	return Pagination{
		PageSize:    1,     // 默认第 1 页
		CurrentPage: 99999, // 默认每页 10 条
	}
}
