package global

import (
	"go-nc/configs/config"

	"github.com/redis/go-redis/v9"
	"go.uber.org/zap"
	"gorm.io/gorm"
)

type Application struct {
	Config      config.Configuration
	DB          *gorm.DB
	StarRocksDB *gorm.DB
	Log         *zap.Logger
	Redis       *redis.Client
}

var App = new(Application)
