package system

import (
	"go-nc/pkg/oss"

	"github.com/gin-gonic/gin"
)

// OSS STS 获取临时凭证
func GetSTSInfo(c *gin.Context) {
	credentials, err := oss.GetAliyunStsClientCredential()
	if err != nil {
		c.Error(err)
		return
	}
	c.Set("res_data", credentials)
}
