package model

import "go-nc/hook"

// 流量池
type Sim_pool struct {
	ModelUUID
	Label           string          `gorm:"not null;type:varchar(255)" json:"label"`           // 流量包名称
	TrafficPoolType string          `gorm:"not null;type:varchar(255)" json:"trafficPoolType"` // 流量池类型:1: 前流量池 2: 后流量池
	Source          string          `gorm:"not null;type:varchar(255)" json:"source"`          // 来源
	Size            int             `gorm:"type:varchar(255); default:0" json:"size"`          // 后流量池的大小
	SizeType        string          `gorm:"type:varchar(255)" json:"sizeType"`                 // 后流量池的大小类型：G MB KB
	SimTariffId     string          `gorm:"type:varchar(255)" json:"simTariffId"`              // 资费ID
	ExpireTime      *hook.LocalTime `json:"expireTime"`                                        // 过期时间
}
